#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int m;
    cin >> m;

    int x[10^6];
    int y[10^6];

    for (int i = 0; i < m; i++)
    {
        cin >> x[i] >> y[i];
    }

    int maksx = INT_MIN;
    int maksy = INT_MIN;
    int a, b, s = 0;
    for (int i = 0; i < m; i++)
    {
        if (i == 1)
        {
            int k = x[1] - x[0];
            int l = y[1] - y[0];
            if (k < 0) {k *= -1;}
            if (l < 0) {l *= -1;}
            s = k*l;
            cout << s << endl;
        }
        else
        {
            s = 0;
        for (int j = 0; j <= i; j++)
        {
            if (x[j] > maksx) {maksx = x[j];}
            if (y[j] > maksy) {maksy = y[j];}
        }
        a = maksx;
        b = maksy;
        for (int j = 0; j <= i; j++)
        {
            int t = (x[j] - a) * (y[j] - b);
            if (t < 0) {s -= t;}
            else {s += t;}
        }
        cout << s << endl;
        }

    }
    return 0;
}